<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="robots" content="noodp" />
        <title>Powerful Single Node K3s on Hetzner for CHEAP! - AB Engineering Blog</title><meta name="description" content="Instructions on deploying K3s, Helm, cert-manager and Rancher on a single node Hetzner server."><meta property="og:title" content="Powerful Single Node K3s on Hetzner for CHEAP!" />
<meta property="og:description" content="Instructions on deploying K3s, Helm, cert-manager and Rancher on a single node Hetzner server." />
<meta property="og:type" content="article" />
<meta property="og:url" content="https://blog.alphabravo.io/posts/2021/single-node-k3s/" /><meta property="article:section" content="posts" />
<meta property="article:published_time" content="2021-11-30T11:00:00+00:00" />
<meta property="article:modified_time" content="2021-11-30T11:00:00+00:00" />

<meta name="twitter:card" content="summary"/>
<meta name="twitter:title" content="Powerful Single Node K3s on Hetzner for CHEAP!"/>
<meta name="twitter:description" content="Instructions on deploying K3s, Helm, cert-manager and Rancher on a single node Hetzner server."/>
<meta name="application-name" content="AB Engineering Blog">
<meta name="apple-mobile-web-app-title" content="AB Engineering Blog"><link rel="shortcut icon" type="image/x-icon" href="/favicon.ico" />
        <link rel="icon" type="image/png" sizes="32x32" href="/favicon-32x32.png">
        <link rel="icon" type="image/png" sizes="16x16" href="/favicon-16x16.png"><link rel="apple-touch-icon" sizes="180x180" href="/apple-touch-icon.png"><link rel="manifest" href="/site.webmanifest"><link rel="canonical" href="https://blog.alphabravo.io/posts/2021/single-node-k3s/" /><link rel="prev" href="https://blog.alphabravo.io/posts/2021/single-node-rke2-pt1/" /><link rel="next" href="https://blog.alphabravo.io/posts/2021/single-node-rke2-pt2/" /><link rel="stylesheet" href="/css/page.min.css"><link rel="stylesheet" href="/css/home.min.css"><script type="application/ld+json">
    {
        "@context": "http://schema.org",
        "@type": "BlogPosting",
        "headline": "Powerful Single Node K3s on Hetzner for CHEAP!",
        "inLanguage": "en",
        "mainEntityOfPage": {
            "@type": "WebPage",
            "@id": "https:\/\/blog.alphabravo.io\/posts\/2021\/single-node-k3s\/"
        },"image": ["https:\/\/blog.alphabravo.io\/assets\/ab-seo-large.png"],"genre": "posts","keywords": "rancher, kubernetes, k3s, helm, hetzner","wordcount":  906 ,
        "url": "https:\/\/blog.alphabravo.io\/posts\/2021\/single-node-k3s\/","datePublished": "2021-11-30T11:00:00+00:00","dateModified": "2021-11-30T11:00:00+00:00","publisher": {
            "@type": "Organization",
            "name": "AlphaBravo","logo": "https:\/\/blog.alphabravo.io\/assets\/alphabravo-logoonly-outline1.png"},"author": {
                "@type": "Person",
                "name": "AB Engineering"
            },"description": "Instructions on deploying K3s, Helm, cert-manager and Rancher on a single node Hetzner server."
    }
    </script></head><body data-header-desktop="auto" data-header-mobile="auto"><script>(window.localStorage && localStorage.getItem('theme') ? localStorage.getItem('theme') === 'dark' : ('' === 'auto' ? window.matchMedia('(prefers-color-scheme: dark)').matches : '' === 'dark')) && document.body.setAttribute('theme', 'dark');</script>

        <div id="mask"></div><div class="wrapper"><header class="desktop" id="header-desktop">
    <div class="header-wrapper">
        <div class="header-title">
            <a href="/" title="AB Engineering Blog"><img
        class="lazyload logo"
        src="/svg/loading.min.svg"
        data-src="/assets/alphabravo-logoonly-outline1.png"
        data-srcset="/assets/alphabravo-logoonly-outline1.png, /assets/alphabravo-logoonly-outline1.png 1.5x, /assets/alphabravo-logoonly-outline1.png 2x"
        data-sizes="auto"
        alt="/assets/alphabravo-logoonly-outline1.png"
        title="/assets/alphabravo-logoonly-outline1.png" /><span id="id-1" class="typeit"></span></a>
        </div>
        <div class="menu">
            <div class="menu-inner"><a class="menu-item" href="/" title="Blog Homepage"> Home </a><a class="menu-item" href="https://alphabravo.io" title="AlphaBravo Website" rel="noopener noreffer" target="_blank"> AB Website </a><a class="menu-item" href="/posts/"> Posts </a><a class="menu-item" href="https://github.com/AlphaBravoCompany" rel="noopener noreffer" target="_blank"><i class='fab fa-github fa-fw'></i>  </a><a class="menu-item" href="https://linkedin.com/company/alphabravogov/" rel="noopener noreffer" target="_blank"><i class='fab fa-linkedin fa-fw'></i>  </a><span class="menu-item delimiter"></span><span class="menu-item search" id="search-desktop">
                        <input type="text" placeholder="Search" id="search-input-desktop">
                        <a href="#" class="search-button search-toggle" id="search-toggle-desktop" title="Search">
                            <i class="fas fa-search fa-fw"></i>
                        </a>
                        <a href="#" class="search-button search-clear" id="search-clear-desktop" title="Clear">
                            <i class="fas fa-times-circle fa-fw"></i>
                        </a>
                        <span class="search-button search-loading" id="search-loading-desktop">
                            <i class="fas fa-spinner fa-fw fa-spin"></i>
                        </span>
                    </span><a class="menu-item" href="/index.xml" title="RSS"><i class="fas fa-rss fa-fw" title="RSS"></i> </a><a href="javascript:void(0);" class="menu-item theme-switch" title="Switch Theme">
                    <i class="fas fa-adjust fa-fw"></i>
                </a>
            </div>
        </div>
    </div>
</header><header class="mobile" id="header-mobile">
    <div class="header-container">
        <div class="header-wrapper">
            <div class="header-title">
                <a href="/" title="AB Engineering Blog"><img
        class="lazyload logo"
        src="/svg/loading.min.svg"
        data-src="/assets/alphabravo-logoonly-outline1.png"
        data-srcset="/assets/alphabravo-logoonly-outline1.png, /assets/alphabravo-logoonly-outline1.png 1.5x, /assets/alphabravo-logoonly-outline1.png 2x"
        data-sizes="auto"
        alt="/assets/alphabravo-logoonly-outline1.png"
        title="/assets/alphabravo-logoonly-outline1.png" /><span id="id-2" class="typeit"></span></a>
            </div>
            <div class="menu-toggle" id="menu-toggle-mobile">
                <span></span><span></span><span></span>
            </div>
        </div>
        <div class="menu" id="menu-mobile"><div class="search-wrapper">
                    <div class="search mobile" id="search-mobile">
                        <input type="text" placeholder="Search" id="search-input-mobile">
                        <a href="#" class="search-button search-toggle" id="search-toggle-mobile" title="Search">
                            <i class="fas fa-search fa-fw"></i>
                        </a>
                        <a href="#" class="search-button search-clear" id="search-clear-mobile" title="Clear">
                            <i class="fas fa-times-circle fa-fw"></i>
                        </a>
                        <span class="search-button search-loading" id="search-loading-mobile">
                            <i class="fas fa-spinner fa-fw fa-spin"></i>
                        </span>
                    </div>
                    <a href="#" class="search-cancel" id="search-cancel-mobile">
                        Cancel
                    </a>
                </div><a class="menu-item" href="/" title="Blog Homepage">Home</a><a class="menu-item" href="https://alphabravo.io" title="AlphaBravo Website" rel="noopener noreffer" target="_blank">AB Website</a><a class="menu-item" href="/posts/" title="">Posts</a><a class="menu-item" href="https://github.com/AlphaBravoCompany" title="" rel="noopener noreffer" target="_blank"><i class='fab fa-github fa-fw'></i></a><a class="menu-item" href="https://linkedin.com/company/alphabravogov/" title="" rel="noopener noreffer" target="_blank"><i class='fab fa-linkedin fa-fw'></i></a><div class="menu-item"><a href="/index.xml" title="RSS"><i class="fas fa-rss fa-fw" title="RSS"></i> </a>
                <span>&nbsp;|&nbsp;</span><a href="javascript:void(0);" class="theme-switch" title="Switch Theme">
                    <i class="fas fa-adjust fa-fw"></i>
                </a>
            </div></div>
    </div>
</header><div class="search-dropdown desktop">
    <div id="search-dropdown-desktop"></div>
</div>
<div class="search-dropdown mobile">
    <div id="search-dropdown-mobile"></div>
</div><main class="main">
                <div class="container"><div class="toc" id="toc-auto">
            <h2 class="toc-title">Contents</h2>
            <div class="toc-content" id="toc-content-auto"></div>
        </div><article class="page single" data-toc="disable"><div class="featured-image"><img
        class="lazyload"
        src="/svg/loading.min.svg"
        data-src="/assets/single-node-k3s-full.png"
        data-srcset="/assets/single-node-k3s-full.png, /assets/single-node-k3s-full.png 1.5x, /assets/single-node-k3s-full.png 2x"
        data-sizes="auto"
        alt="/assets/single-node-k3s-full.png"
        title="Instructions on deploying K3s, Helm, cert-manager and Rancher on a single node Hetzner server." /></div><div class="single-card" data-image="true"><h2 class="single-title animated flipInX">Powerful Single Node K3s on Hetzner for CHEAP!</h2><div class="post-meta">
                <div class="post-meta-line"><span class="post-author"><a href="/" title="Author" rel=" author" class="author"><i class="fas fa-user-circle fa-fw"></i>AB Engineering</a></span></div>
                <div class="post-meta-line"><span><i class="far fa-calendar-alt fa-fw"></i>&nbsp;<time datetime="2021-11-30">2021-11-30</time></span>&nbsp;<span><i class="fas fa-pencil-alt fa-fw"></i>&nbsp;906 words</span>&nbsp;
                    <span><i class="far fa-clock fa-fw"></i>&nbsp;5 minutes</span>&nbsp;</div>
            </div>
            
            <hr><div class="details toc" id="toc-static"  data-kept="">
                    <div class="details-summary toc-title">
                        <span>Contents</span>
                        <span><i class="details-icon fas fa-angle-right"></i></span>
                    </div>
                    <div class="details-content toc-content" id="toc-content-static"><nav id="TableOfContents">
  <ul>
    <li><a href="#single-node-kubernetes-series">Single-Node Kubernetes Series</a></li>
    <li><a href="#the-k3s-cluster">The K3s Cluster</a></li>
    <li><a href="#why-k3s">Why K3s</a></li>
    <li><a href="#deploying-a-vm">Deploying a VM</a></li>
    <li><a href="#install-k3s-kubernetes">Install K3S Kubernetes</a></li>
    <li><a href="#configure-dns-optional">Configure DNS (Optional)</a></li>
    <li><a href="#install-helm">Install Helm</a></li>
    <li><a href="#deploy-rancher">Deploy Rancher</a></li>
    <li><a href="#closing">Closing</a></li>
  </ul>
</nav></div>
                </div><div class="content" id="content"><h2 id="single-node-kubernetes-series">Single-Node Kubernetes Series</h2>
<ul>
<li><a href="https://blog.alphabravo.io/posts/2021/single-node-rke2-pt1/" target="_blank" rel="noopener noreffer">Powerful Single Node RKE2 on Hetzner for CHEAP! (Part 1)</a></li>
<li><a href="https://blog.alphabravo.io/posts/2021/single-node-k3s/" target="_blank" rel="noopener noreffer">Powerful Single Node K3S on Hetzner for CHEAP! (Part 1a)</a></li>
<li><a href="https://blog.alphabravo.io/posts/2021/single-node-rke2-pt2/" target="_blank" rel="noopener noreffer">Powerful Single Node K3s on Hetzner for CHEAP! (Part 2)</a></li>
</ul>
<h2 id="the-k3s-cluster">The K3s Cluster</h2>
<p>No, your eyes do not deceive you. This is a very similarly named blog to our <a href="https://blog.alphabravo.io/posts/2021/single-node-rke2-pt1/" target="_blank" rel="noopener noreffer">Powerful Single Node RKE2 on Hetzner for CHEAP! (Part 1)</a>.</p>
<p>Some folks don&rsquo;t want to deploy RKE2, and we don&rsquo;t want you to feel left out. In this blog we are going to deploy <a href="https://k3s.io" target="_blank" rel="noopener noreffer">K3s</a> in place of RKE2.</p>
<p>If you want to see why we chose Hetzner for this specific deployment, go check out the previous <a href="https://blog.alphabravo.io/posts/2021/single-node-rke2-pt1/" target="_blank" rel="noopener noreffer">blog</a>.</p>
<h2 id="why-k3s">Why K3s</h2>
<p>K3s is a highly available, certified Kubernetes distribution designed for production workloads in unattended, resource-constrained, remote locations or inside IoT appliances.</p>
<p>There are a few key differences (as of writing) between K3s and RKE2.</p>
<ul>
<li>K3s supports ARM processors (like <a href="https://www.raspberrypi.com/" target="_blank" rel="noopener noreffer">Raspberry Pis</a>).</li>
<li>K3s is not as focused on FIPS, CIS and other compliance standards as RKE2</li>
<li>K3s deploys with LocalStorage enabled for Persistent Volumes</li>
<li>K3s deploys with Traefik ingress controller instead of NGINX ingress controller</li>
</ul>
<h2 id="deploying-a-vm">Deploying a VM</h2>
<p><strong>IMPORTANT</strong> Make sure you keep your SSH keys safe, lock the system down with appropriate firewall rules, and keep the OS updated.</p>
<p>So, let&rsquo;s get started. If you don&rsquo;t already have a Hetzner account, go sign up here: <a href="https://hetzner.cloud/?ref=JRGtolHM4Qdb" target="_blank" rel="noopener noreffer">Hetzner Signup</a>*</p>
<p>Once you are signed up:</p>
<ol>
<li>Log in to <a href="https://accounts.hetzner.com/login" target="_blank" rel="noopener noreffer">Hetzner Cloud</a></li>
<li>Click on <code>Default</code> project, or create a new project if you like</li>
<li>Click <code>Add Server</code> and select the following options
<ul>
<li>Location: <code>Ashburn, VA</code> (or your desired region)</li>
<li>Image: <code>Ubuntu 20.04</code></li>
<li>Type: <code>Standard</code> and <code>CPX51</code></li>
<li>Volume: <code>None</code></li>
<li>Network: Create a new one if you like</li>
<li>Firewalls: Create a new one that allows all access from your IP and only 80/443 from All IPs</li>
<li>SSH Key: Create a new SSH key to use or use an existing one</li>
<li>Name: <code>K3s-Dev</code></li>
</ul>
</li>
<li>Click <code>Create &amp; Buy Now</code></li>
</ol>
<p>This will provision this new server and provide you and external IP Address that you can use to connect to the node.</p>
<h2 id="install-k3s-kubernetes">Install K3S Kubernetes</h2>
<p>Once the node is provisioned, get the IP and login to the cluster using the SSH key you configured.</p>
<ol>
<li>In a terminal, run</li>
</ol>
<div class="highlight"><pre tabindex="0" class="chroma"><code class="language-bash" data-lang="bash">ssh -i /path/to/key/id_rsa root@YOURSERVERIP
</code></pre></div><ol start="2">
<li>Update the OS</li>
</ol>
<div class="highlight"><pre tabindex="0" class="chroma"><code class="language-bash" data-lang="bash">apt update <span class="o">&amp;&amp;</span> apt upgrade -y
</code></pre></div><ol start="3">
<li>Install K3s:</li>
</ol>
<div class="highlight"><pre tabindex="0" class="chroma"><code class="language-bash" data-lang="bash">curl -sfL https://get.k3s.io <span class="p">|</span> sh -
</code></pre></div><ol start="4">
<li>Export the kubeconfig file. We can use this file to connect from our local machine using the <code>kubectl</code> command line or <a href="https://k8slens.dev/" target="_blank" rel="noopener noreffer">Lens</a></li>
</ol>
<div class="highlight"><pre tabindex="0" class="chroma"><code class="language-bash" data-lang="bash">mkdir ~/.kube
cp /etc/rancher/k3s/k3s.yaml ~/.kube/config
</code></pre></div><ol start="5">
<li>Run <code>kubectl get nodes</code> to verify that the RKE2 node is up and running</li>
</ol>
<pre tabindex="0"><code>root@k3s-dev:~# kubectl get nodes
NAME      STATUS   ROLES                  AGE     VERSION
k3s-dev   Ready    control-plane,master   4m34s   v1.21.5+k3s2
</code></pre><p>You now have a single node K3s cluster up and running.</p>
<h2 id="configure-dns-optional">Configure DNS (Optional)</h2>
<p>If you would like the cluster to have a DNS name and be able to pull valid Let&rsquo;s Encrypt keys, you will need to point some DNS names to your cluster. Add the following to you public DNS records for your desired domain. (We use Cloudflare at AB. Reach out if you have questions.)</p>
<ul>
<li>rancher.YOURDOMAIN.tld -&gt; IP of your Hetzner Server (This will let you reach the Rancher interface we configure in the next steps)</li>
<li>*.apps.YOURDOMAIN.tld -&gt; IP of your Hetzner Server (This will let you reach apps running in Kubernetes via NGINX Ingress)</li>
</ul>
<h2 id="install-helm">Install Helm</h2>
<p>We will use <a href="https://helm.sh/" target="_blank" rel="noopener noreffer">Helm</a> on the Hetzner machine to deploy Rancher (and other applications if you want).</p>
<p>Run the following commands to install Helm:</p>
<div class="highlight"><pre tabindex="0" class="chroma"><code class="language-bash" data-lang="bash">curl -fsSL -o get_helm.sh https://raw.githubusercontent.com/helm/helm/main/scripts/get-helm-3
chmod <span class="m">700</span> get_helm.sh
./get_helm.sh
</code></pre></div><h2 id="deploy-rancher">Deploy Rancher</h2>
<p>We can now deploy Rancher 2.6 on the cluster. We will use Rancher as the Management UI for the cluster.</p>
<p>Official documentation: <a href="https://rancher.com/docs/rancher/v2.6/en/installation/install-rancher-on-k8s/" target="_blank" rel="noopener noreffer">https://rancher.com/docs/rancher/v2.6/en/installation/install-rancher-on-k8s/</a></p>
<ol>
<li>Add the Rancher Stable Helm Repo</li>
</ol>
<div class="highlight"><pre tabindex="0" class="chroma"><code class="language-bash" data-lang="bash">helm repo add rancher-stable https://releases.rancher.com/server-charts/stable
</code></pre></div><ol start="2">
<li>Create a namespace for Rancher</li>
</ol>
<div class="highlight"><pre tabindex="0" class="chroma"><code class="language-bash" data-lang="bash">kubectl create namespace cattle-system
</code></pre></div><ol start="3">
<li>Install <code>cert-manager</code> for management of SSL certificates in cluster</li>
</ol>
<div class="highlight"><pre tabindex="0" class="chroma"><code class="language-bash" data-lang="bash"><span class="c1"># Install cert-manager CRDs</span>
kubectl apply -f https://github.com/jetstack/cert-manager/releases/download/v1.5.1/cert-manager.crds.yaml

<span class="c1"># Add the Jetstack Helm repository</span>
helm repo add jetstack https://charts.jetstack.io

<span class="c1"># Update your local Helm chart repository cache</span>
helm repo update

<span class="c1"># Install the cert-manager Helm chart</span>
helm install cert-manager jetstack/cert-manager <span class="se">\
</span><span class="se"></span>  --namespace cert-manager <span class="se">\
</span><span class="se"></span>  --create-namespace <span class="se">\
</span><span class="se"></span>  --version v1.5.1
</code></pre></div><ol start="4">
<li>Install Rancher using Helm. This assumes you have configured DNS to get a valid certificate.</li>
</ol>
<div class="highlight"><pre tabindex="0" class="chroma"><code class="language-bash" data-lang="bash">helm install rancher rancher-stable/rancher <span class="se">\
</span><span class="se"></span>  --namespace cattle-system <span class="se">\
</span><span class="se"></span>  --set <span class="nv">hostname</span><span class="o">=</span>rancher.YOURDOMAIN.tld <span class="se">\
</span><span class="se"></span>  --set <span class="nv">bootstrapPassword</span><span class="o">=</span>SUPERSECRETADMINPASSWORD
</code></pre></div><ol start="5">
<li>Verify rancher deployed successfully</li>
</ol>
<div class="highlight"><pre tabindex="0" class="chroma"><code class="language-bash" data-lang="bash">kubectl -n cattle-system rollout status deploy/rancher
</code></pre></div><ol start="6">
<li>We need to allow Traefik to communicate on 80/433 on our host. To do that, create a file named <code>traefik.yml</code> and add the following.</li>
</ol>
<div class="highlight"><pre tabindex="0" class="chroma"><code class="language-yaml" data-lang="yaml"><span class="nt">apiVersion</span><span class="p">:</span><span class="w"> </span><span class="l">v1</span><span class="w">
</span><span class="w"></span><span class="nt">kind</span><span class="p">:</span><span class="w"> </span><span class="l">Service</span><span class="w">
</span><span class="w"></span><span class="nt">metadata</span><span class="p">:</span><span class="w">
</span><span class="w">  </span><span class="nt">name</span><span class="p">:</span><span class="w"> </span><span class="l">traefik</span><span class="w">
</span><span class="w">  </span><span class="nt">namespace</span><span class="p">:</span><span class="w"> </span><span class="l">kube-system</span><span class="w">
</span><span class="w"></span><span class="nt">spec</span><span class="p">:</span><span class="w">
</span><span class="w">  </span><span class="nt">type</span><span class="p">:</span><span class="w"> </span><span class="l">LoadBalancer</span><span class="w">
</span></code></pre></div><ol start="7">
<li>Apply the the file using <code>kubectl</code></li>
</ol>
<div class="highlight"><pre tabindex="0" class="chroma"><code class="language-bash" data-lang="bash">kubectl apply -f traefik.yml
</code></pre></div><ol start="8">
<li>Once Rancher has been fully deployed, visit <code>https://rancher.YOURDOMAIN.tld</code> in your browser to login to your Rancher UI and interact with your cluster. Now you should have a fully functioning K3s Single Node Cluster with Rancher Management Interface installed.</li>
</ol>
<figure><a class="lightgallery" href="/assets/11-30-k3s-rancher-ui.png" title="/assets/11-30-k3s-rancher-ui.png" data-thumbnail="/assets/11-30-k3s-rancher-ui.png" data-sub-html="<h2>Rancher UI on K3s</h2>">
        <img
            class="lazyload"
            src="/svg/loading.min.svg"
            data-src="/assets/11-30-k3s-rancher-ui.png"
            data-srcset="/assets/11-30-k3s-rancher-ui.png, /assets/11-30-k3s-rancher-ui.png 1.5x, /assets/11-30-k3s-rancher-ui.png 2x"
            data-sizes="auto"
            alt="/assets/11-30-k3s-rancher-ui.png" />
    </a><figcaption class="image-caption">Rancher UI on K3s</figcaption>
    </figure>
<h2 id="closing">Closing</h2>
<p>Based on the instructions above, you should now have a powerful K3s Kubernetes cluster you can use for testing and development work.</p>
<p>In the next part of this series, we will go back to RKE2 and install Monitoring and Longhorn for persistent volumes in the cluster.</p>
<p>If you have any questions, please reach out to us at <a href="mailto:devops@alphabravo.io" rel="">devops@alphabravo.io</a>.</p>
<p>Thanks for reading!</p>
<hr>
<p><em>The AB Engineering Team</em></p>
<p><strong>Website:</strong> <a href="https://alphabravo.io" target="_blank" rel="noopener noreffer">https://alphabravo.io</a></p>
<p><strong>Contact Us:</strong> <a href="https://alphabravo.io/contact-us" target="_blank" rel="noopener noreffer">https://alphabravo.io/contact-us</a></p>
<p><em>Note: Some links included here are affiliate links. If you use the link to sign up, AB may get a small referral credit on our account.</em></p></div><div class="post-footer" id="post-footer">
    <div class="post-info"><div class="post-info-tag"><span><a href="/tags/rancher/">rancher</a>
                </span><span><a href="/tags/kubernetes/">kubernetes</a>
                </span><span><a href="/tags/k3s/">k3s</a>
                </span><span><a href="/tags/helm/">helm</a>
                </span><span><a href="/tags/hetzner/">hetzner</a>
                </span></div><div class="post-info-line"><div class="post-info-mod">
                <span>Updated on 2021-11-30</span>
            </div><div class="post-info-mod"></div>
        </div></div><div class="post-nav"><a href="/posts/2021/single-node-rke2-pt1/" class="prev" rel="prev" title="Powerful Single Node RKE2 on Hetzner for CHEAP! (Part 1)"><i class="fas fa-angle-left fa-fw"></i>Previous Post</a>
            <a href="/posts/2021/single-node-rke2-pt2/" class="next" rel="next" title="Powerful Single Node RKE2 on Hetzner for CHEAP! (Part 2)">Next Post<i class="fas fa-angle-right fa-fw"></i></a></div></div>
</div></article></div>
            </main>
            <footer class="footer"><div class="footer-container"><div class="footer-line">AlphaBravo</div><div class="footer-line" itemscope itemtype="http://schema.org/CreativeWork"><i class="far fa-copyright fa-fw"></i><span itemprop="copyrightYear">2021</span><span class="author" itemprop="copyrightHolder">&nbsp;<a href="/"></a></span></div>
</div>
</footer>
        </div>

        <div id="fixed-buttons"><a href="#" id="back-to-top" class="fixed-button" title="Back to Top">
                <i class="fas fa-chevron-up fa-fw"></i>
            </a></div><link rel="stylesheet" href="/lib/fontawesome-free/all.min.css"><link rel="stylesheet" href="/lib/animate/animate.min.css"><link rel="stylesheet" href="/lib/lightgallery/lightgallery.min.css"><link rel="stylesheet" href="/lib/cookieconsent/cookieconsent.min.css"><script src="/lib/autocomplete/autocomplete.min.js"></script><script src="/lib/lunr/lunr.min.js"></script><script src="/lib/lazysizes/lazysizes.min.js"></script><script src="/lib/typeit/typeit.min.js"></script><script src="/lib/lightgallery/lightgallery.min.js"></script><script src="/lib/lightgallery/lg-thumbnail.min.js"></script><script src="/lib/lightgallery/lg-zoom.min.js"></script><script src="/lib/clipboard/clipboard.min.js"></script><script src="/lib/cookieconsent/cookieconsent.min.js"></script><script>window.config={"code":{"copyTitle":"Copy to clipboard","maxShownLines":100},"comment":{},"cookieconsent":{"content":{"dismiss":"Ok","link":"https://alphabravo.io","message":"We use cookies and open-source, privacy-respecting analytics technologies to improve your browsing experience on our website, to analyze our website traffic, and to understand where our visitors are coming from."},"enable":true,"palette":{"button":{"background":"#f0f0f0"},"popup":{"background":"#1aa3ff"}},"theme":"edgeless"},"data":{"id-1":"Engineering Blog","id-2":"Engineering Blog"},"lightGallery":{"actualSize":false,"exThumbImage":"data-thumbnail","hideBarsDelay":2000,"selector":".lightgallery","speed":400,"thumbContHeight":80,"thumbWidth":80,"thumbnail":true},"search":{"highlightTag":"em","lunrIndexURL":"/index.json","maxResultLength":10,"noResultsFound":"No results found","snippetLength":30,"type":"lunr"},"typeit":{"cursorChar":null,"cursorSpeed":null,"data":{"id-1":["id-1"],"id-2":["id-2"]},"duration":null,"speed":null}};</script><script src="/js/theme.min.js"></script><script data-goatcounter="https://stats.alphabravo.io/count" async src="//stats.alphabravo.io/count.js"></script></body></html>
